Page MenuHomePhabricator

[Bug] User interface displays false birth and death dates
Closed, DeclinedPublic

Description

If the user interface is invoked by typing, for example, "Galileo Galilei" in the search box and clicking on the obvious item, the date of birth (P569) and the date of death (P570) may be displayed incorrectly. In every case the date stored in Wikidata, which is always a Gregorian calendar date (proleptic, if necessary) will be displayed. But sometimes (for example, if the date is before the introduction of the Gregorian calendar on 15 October 1582) the date has the word "Julian" next to it. This is the case for Galileo Galilei's birth date of 25 February 1564 Gregorian, which is displayed as "25 February 1564 Julian" (with the word "Julian" superscripted).

This error has caused numerous incorrect dates to be inserted into Wikidata by editors who did not understand what was being shown to them.

Event Timeline

Jc3s5h created this task.Jan 21 2015, 9:39 AM
Jc3s5h raised the priority of this task from to Needs Triage.
Jc3s5h updated the task description. (Show Details)
Jc3s5h added a project: Wikidata.
Jc3s5h added a subscriber: Jc3s5h.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2015, 9:39 AM

Can you please write down the following?

  • What did you enter exactly?
  • What was displayed?
  • What would you have expected to be displayed?

In reply to Lydia_Pintscher:

I enter "Galileo in search box.

A dropdown appears and I click "Galileo Galilei". The item page for Galileo Galilei (Q307) appears.

I scroll down to "date of birth". The box reads:

"date of birth 25 February 1564 Julian"

There is also a link to references in the box, and the word "Julian" is superscripted and in italics.

Since Galileo was born before the introduction of the Gregorian calendar, I would expect to read "date of birth 15 February 1564 Julian"

I would also expect the date of birth stored in the database to be 25 February 1564, since the database dates are always Gregorian. I would also expect the calendarmodel stored in the database to be the URI corresponding to the Julian calendar. (According to diff https://www.wikidata.org/w/index.php?title=Q307&diff=157576421&oldid=156645911 my expectation about the storage of the date and calendar model are satisfied.)

JohnLewis triaged this task as Medium priority.Jan 24 2015, 1:10 PM
JohnLewis moved this task from incoming to ready to go on the Wikidata board.
JohnLewis added a subscriber: JohnLewis.
Lydia_Pintscher raised the priority of this task from Medium to High.Jan 26 2015, 9:56 AM
Lydia_Pintscher set Security to None.

Please take into consideration that 10 June 323 BC, Julian is ISO −322-06-05 because of ISO year 0.

Please take into consideration that 10 June 323 BC, Julian is ISO −322-06-05 because of ISO year 0.

Strictly speaking, 10 June 323 BC, Julian is ISO 8601:2004 -0322-06-05 because ISO 8601:2004 requires years to be at least 4 digits long. Also, there are other ISO standards related to date format, such as ISO 2014, ISO 3307 and ISO 4031, so it is best to be specific.

Please fix this as soon as possible.

Right now, ALL dates before 15 oct 1582 are displayed incorrectly and the users are getting a basically false information. And the worse thing is, while this bug is around, some users (me included, before I was told about this bug by Jc3s5h) are already "correcting" the dates! When this bug is fixed, lot of edits will need to be identified and rollbacked to put things back into order.

So while somebody works on this, I suggest to make a big big notice appear when users try to edit some date, to tell them about the bug so that they can refrain from editing pre-1582 dates unless they know exactly what they're doing, so that the situation doesn't become totally messed up! Otherwise we'll going to have a big mix of Julian and Gregorian dates, all saved as Gregorian and therefore indistinguishable from each other and completely untrustable.

Also, please notice that the default calendar URI when inserting a date before 15 oct 1582, should be Julian and not Gregorian. So the interface should automatically assign the Julian calendar URI if the user inserts such a date.

Please solve this bug as soon as you can. Thanks.

Ok something is seriously wrong here obviously. I have filed T88437 for a thorough investigation and added it to the current development sprint.

Please fix ASAP. Thanks

Aubrey added a subscriber: Aubrey.Feb 5 2015, 9:34 AM
Aubrey added a comment.Feb 5 2015, 9:37 AM

Just to say this is important :-) Thousands of articles rely on this.

Jonas renamed this task from User interface displays false birth and death dates to [Bug] User interface displays false birth and death dates.Nov 2 2015, 1:31 PM

@thiemowmde I think this can be just closed, right?

thiemowmde closed this task as Declined.Nov 16 2015, 11:07 AM
thiemowmde claimed this task.